<div class="grid-list-row">
  <div class="list-image-cell">
    <div class="mpimage1" (click)="goToModelDetails()">
      <figure>
        <img
          [src]="imageToShow"
          class="img-rounded"
          alt="Place image title"
          tabindex="0"
          *ngIf="!isImageLoading; else noImageFound"
        />
        <ng-template #noImageFound>
          <img src="fallbackImage.png" alt="Fallbackimage" />
        </ng-template>
      </figure>
    </div>
  </div>
  <div class="list-details-cell">
    <label class="griditem-title cursor-pointer" role="button" tabindex="0"
      ><span class="griditem-title-text">
        {{ item.name.toString().split("_").join(" ") }}</span
      ></label
    >
    <div class="detail-content disblock" *ngIf="isMarketPlacePage">
      <span class="griditem-text2" *ngIf="!item.sourceId">
        {{ item.authors.length > 0 ? item.authors[0]?.name : item.ownerName }}
      </span>
      <span class="griditem-text2">{{ item.mPeer?.name }}</span> |
      <span class="griditem-text2">
        {{ item.modified || item.created | date: "MM/dd/yyyy" }}</span
      >
      |
      <span class="text-xsmall link-orange" *ngIf="item.active">New</span>
    </div>
    <div
      class="a-mp-container1"
      *ngIf="isMarketPlacePage && isPublishedSolution"
    >
      <gp-stars [width]="getStarWidth(item.solutionRatingAvg).width"></gp-stars>
      <div class="tile-icons">
        <gp-catalog-name [item]="item"></gp-catalog-name>

        |
        <gp-publisher [item]="item"></gp-publisher>
      </div>
      <div *ngIf="isMarketPlacePage && isPublishedSolution">
        <gp-tags-list [item]="item" [slnID]="slnID" [Tag]="Tag"></gp-tags-list>
      </div>
    </div>
    <div class="md-icons-tiles" *ngIf="isMarketPlacePage">
      <gp-comment-count
        *ngIf="isPublishedSolution"
        [item]="item"
      ></gp-comment-count>
      <gp-view-count *ngIf="isPublishedSolution" [item]="item"></gp-view-count>
      <gp-download-count
        *ngIf="isPublishedSolution"
        [item]="item"
      ></gp-download-count>
      <gp-favorite
        [item]="item"
        [items]="items"
        [loginUserID]="userId"
        (favoriteClicked)="onFavoriteClick(item.solutionId)"
      >
      </gp-favorite>
    </div>
  </div>
</div>
